<!DOCTYPE html>
<html>
<head>
	<title></title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>
	<h1>Pregunta 3</h1>
	<p>Ingresar una frase:</p>
	<input type="text" id="frase">
	<button onclick="analizar()">Analizar</button>
	<br><br>
	<p id="resultado"></p>
    <style>
		body {
			font-family: Arial, sans-serif;
			background-color: #f5f5f5;
			padding: 20px;
		}
		h1 {
			text-align: center;
			color: #333;
			margin-bottom: 20px;
		}
		p {
			color: #333;
			margin-bottom: 10px;
		}
		input[type="text"] {
			padding: 10px;
			font-size: 16px;
			border: none;
			border-radius: 5px;
			box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
			width: 80%;
			max-width: 600px;
			margin-right: 10px;
			margin-bottom: 10px;
		}
		button {
			background-color: #4CAF50;
			color: white;
			padding: 10px;
			font-size: 16px;
			border: none;
			border-radius: 5px;
			box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
			cursor: pointer;
		}
		button:hover {
			background-color: #3e8e41;
		}
		.resultado {
			background-color: #fff;
			padding: 20px;
			border-radius: 5px;
			box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
			margin-top: 20px;
		}
		.resultado strong {
			font-weight: bold;
		}
	</style>
	<script>
		function analizar() {
			let texto = document.getElementById("frase").value;

			let palabras = texto.split(" ");
			let numPalabras = palabras.length;

			let primeraPalabra = palabras[0];
			let ultimaPalabra = palabras[numPalabras - 1];

			let palabrasInversas = palabras.reverse().join(" ");
			let palabrasOrdenadasAZ = palabras.sort().join(" ");
			let palabrasOrdenadasZA = palabras.sort((a, b) => b.localeCompare(a)).join(" ");

			let textoSinEspacios = texto.toLowerCase().replace(/\s/g, "");
			let textoInvertido = textoSinEspacios.split("").reverse().join("");
			let esPalindromo = (textoSinEspacios === textoInvertido);

			let resultado = `
				<strong>Número de palabras:</strong> ${numPalabras}<br>
				<strong>Primera palabra:</strong> ${primeraPalabra}<br>
				<strong>Última palabra:</strong> ${ultimaPalabra}<br>
				<strong>Palabras en orden inverso:</strong> ${palabrasInversas}<br>
				<strong>Palabras ordenadas de la a la z:</strong> ${palabrasOrdenadasAZ}<br>
				<strong>Palabras ordenadas de la z a la a:</strong> ${palabrasOrdenadasZA}<br>
			`;

			if (esPalindromo) {
				resultado += "<strong>La frase es un palíndromo</strong>";
			} else {
				resultado += "<strong>La frase no es un palíndromo</strong>";
			}

			document.getElementById("resultado").innerHTML = resultado;
		}
	</script>
</body>
</html>
